import axios from "../../utils/axios";

export function getUdiInfos(query) {
    return axios({
        url: "/udi/udirel/filterUdi",
        method: "get",
        params: query
    });
}

export function getAllUdiInfos(query) {
    return axios({
        url: "/udi/udirel/download",
        method: "get",
        params: query
    });
}

export function getSmUdiInfos(query) {
    return axios({
        url: "/udi/udirel/filterSmUdi",
        method: "get",
        params: query
    });
}

export function deletetUdiInfos(query) {
    return axios({
        url: "/udi/udirel/deleteById",
        method: "post",
        data: query
    });
}



export function updatetUdiInfos(query) {
    return axios({
        url: "/udi/udirel/update",
        method: "post",
        data: query
    });
}

export function combineUdi(query) {
    return axios({
        url: "/udi/udirel/revleance",
        method: "post",
        data: query
    });
}
export function combineAllUdi(query) {
    return axios({
        url: "/udi/udirel/combineAll",
        method: "get",
        params: query
    });
}



export function modifyRel(query) {
    return axios({
        url: "/udi/udirel/modifyRel",
        method: "post",
        data: query
    });
}
export function addErp(query) {
    return axios({
        url: "/udi/udirel/addErp",
        method: "post",
        data: query
    });
}
export function addAllErp(query) {
    return axios({
        url: "/udi/udirel/addAllErp",
        method: "post",
        data: query
    });
}




export function updateErpProduct(query) {
    return axios({
        url: "/udi/udirel/updateErp",
        method: "get",
        params: query
    });
}

export function uploadSmp(query) {
    return axios({
        url: "/udiwms/smp/udirl/upload",
        method: "post",
        data: query
    });
}
export function thirdSysDetail(query) {
    return axios({
        url: "/udiwms/udirel/thirdSys/detail",
        method: "get",
        params: query
    });
}
export function removeRl(query) {
    return axios({
        url: "/udiwms/udirl/thirdSys/remove",
        method: "get",
        params: query
    });
}
export function sysFilter(query) {
    return axios({
        url: "/udiwms/udirel/thirdSys/filter",
        method: "get",
        params: query
    });
}





